﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

public class CurrencyTimer : MonoBehaviour
{
	public FloatSO		timer				= default(FloatSO);
	public FloatSO		tickTime			= default(FloatSO);
	public GameEvent	onTickGameEvent		= default(GameEvent);
	public UnityEvent	onTickEvent			= default(UnityEvent);

	private System.EventArgs arg = default(System.EventArgs);

	void Update()
    {
		timer.ChangeValue(Time.deltaTime, this, arg);
		if(tickTime.value <= timer.value)
		{
			onTickEvent.Invoke();
			timer.value = 0;
			timer.ChangeValue(Time.deltaTime, this, arg);
		}
	}
}
