﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class CurrencyTimerDisplayer : MonoBehaviour
{
	public CurrencyManager currencyManager;
	public FloatSO timerValue;
	public FloatSO waitTime;
	public Image fillImage;
	public Text text;

	private void Start()
	{
		text.text = currencyManager.currencyPerTick.ToString();
		timerValue.onValueChanged += OnCurrencyEarningChange;
		Display();
	}

	public void OnCurrencyEarningChange(object sender, System.EventArgs args)
	{
		Display();
	}

	public void Display()
	{
		text.text = currencyManager.currencyPerTick.ToString();
		fillImage.fillAmount = timerValue.value / waitTime.value;
	}
}
