﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;

public class GameEventListener : MonoBehaviour
{
	public GameEvent gameEvent = default(GameEvent);
	public UnityEvent unityEvent = default(UnityEvent);


	private void OnEnable()
	{
		gameEvent.action += OnRaise;
	}

	private void OnDisable()
	{
		gameEvent.action -= OnRaise;
	}

	public void OnRaise()
	{
		unityEvent.Invoke();
	}
}
