﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using TMPro;
using DG.Tweening;

public class MoodDisplayer : MonoBehaviour
{
	public ScaleOfJoy joy;
	public RectTransform image;
	public TextMeshProUGUI text;
	public float width;

	private float x;

	public void Start()
	{
		joy.onValueChanged += OnValueChange;
		Display();
	}

	public void OnValueChange(object sender, System.EventArgs args)
	{
		Display();
	}

	public void Display()
	{
		x = ((joy.currentMood - joy.minMood) / (joy.maxMood - joy.minMood) - 0.5f) * width;
		//image.anchoredPosition = new Vector3(x , 0, 0);
		text.text = joy.maxMood.ToString();
		image.DOLocalMoveX(x, 1f);
	}
}
