﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.U2D;

[CreateAssetMenu(fileName = "SpritesAtlasSO")]
public class SpritesAtlasSO : ScriptableObject
{
	public SpriteAtlas[] spriteAtlas;

	public Sprite GetSprite(string name)
	{
		Sprite sprite = null;
		for (int i = 0; i < spriteAtlas.Length; i++)
		{
			sprite = spriteAtlas[i].GetSprite(name);
			if (sprite != null)
				return sprite;
		}
		return sprite;
	}
}
