﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;


public class Trash : MonoBehaviour, IPointerClickHandler
{
    public string disableMessage;
	public string enableMessage;
    public PlayerMessage playerMessage;
    public float mood;
    public ScaleOfJoy scaleOfJoy;

	public void OnEnable()
	{
        playerMessage.ShowMessage(enableMessage);
	}

	public void OnPointerClick(PointerEventData eventData)
	{ 
        playerMessage.ShowMessage(disableMessage);
        gameObject.SetActive(false);
    }

    public void OnDisable()
    {
        scaleOfJoy.AddMood(mood);
    }

}
