﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.Events;
using UnityEngine.EventSystems;

[RequireComponent(typeof(BoxCollider2D))]
public class ClickDetector : MonoBehaviour, IPointerClickHandler
{
	public UnityEvent unityEvent;

	public void OnPointerClick(PointerEventData eventData)
	{
		unityEvent.Invoke();
	}

	public void Kill()
	{
		Destroy(this.gameObject);
	}
}
