﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public enum ComputerItemType
{ 
	CPU,
	GPU,
	RAM,
	HDD,
	Motherboard,
	Soundcard,
	Case,
	Monitor
}

[System.Serializable]
public class ComputerItem
{
    public string name;
	public string description;
    public float additionalMoney;
	public int level;
	public int price;
	public ComputerItemType type;
}
