﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System;
using TMPro;

public class CurrencyDisplayer : MonoBehaviour
{
	public CurrencyManager currencyManager;
	public TextMeshProUGUI currentCurrency;
	public TextMeshProUGUI currentCurrencyShop;
	public TextMeshProUGUI currencyPerSec;
	public TextMeshProUGUI maxCurrency;

	private void Start()
	{
		currencyManager.onCurrenciesChaned += OnCurrencyChanged;
		Display();
	}

	public void OnCurrencyChanged(object sender, EventArgs args)
	{
		Display();
	}

	public void Display()
	{
		currentCurrency.text	=	currencyManager.currentCurrency	.ToString("0.");
		currentCurrencyShop.text	=	currencyManager.currentCurrency	.ToString("0.");
		maxCurrency.text		=	currencyManager.allTimeEarn		.ToString("0.");
		currencyPerSec.text		=	currencyManager.currencyPerTick	.ToString("0.");
	}
}
