﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class FoodDisplayer : MonoBehaviour
{
	[HideInInspector]
	public Food food;
	public Image image;
	public TextMeshProUGUI price;
	public TextMeshProUGUI pointsBoost;
	public Text nameText;
	public ScaleOfJoy joy;
	public CurrencyManager currencyManager;
	public AudioPlayer audioPlayer;

	public void Buy()
	{
		if (food.price > currencyManager.currentCurrency)
			return;

		Debug.Log("Hello");
		currencyManager.currentCurrency -= food.price;
		joy.AddMood(food.moodModifier);
		audioPlayer.PlayClip(9);
	}
}
