﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class Food
{
	public string name;
	public string description;
	public float moodModifier;
	public float price;
}

[CreateAssetMenu(fileName = "FoodStorage")]
public class FoodStorage : ScriptableObject
{
	public List<Food> foods;
}
