﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu]
public class GameEvent : ScriptableObject
{
	public event System.Action action;

	public void Invoke()
	{
		if(action != null)
		{
			action.Invoke();
		}
	}
}
