﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.EventSystems;

public class Poop : MonoBehaviour
{
    public PlayerMessage playerMessage;
    public string message;
	private AudioPlayer audioPlayer;

	// Start is called before the first frame update
	void Start()
	{
		playerMessage = GameObject.FindObjectOfType<PlayerMessage>();
		audioPlayer = GameObject.FindObjectOfType<AudioPlayer>();
		if (playerMessage != null)
		{
			playerMessage.ShowMessage(message);
		}
	}

	public void PlaySound(int index)
	{
		if(audioPlayer != null)
		{
			audioPlayer.PlayClip(index);
		}
	}
}
