﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class TourmanemtDisplayer : MonoBehaviour
{
	[HideInInspector]
	public Tournament tournament;
	
	public Text nameText;
	public TextMeshProUGUI price;
	public TextMeshProUGUI skill;
	public TextMeshProUGUI earn;
	public Image country;
	public AudioPlayer audioPlayer;

	public CurrencyManager currency;
	public PlayerTournaments playerTournaments;

	public void Buy()
	{
		if (currency.currentCurrency < tournament.price || currency.allTimeEarn < tournament.skillRequired)
			return;

		currency.currentCurrency -= tournament.price;
		currency.currencyPerTick += tournament.earning;
		playerTournaments.tournaments.Add(tournament);
		audioPlayer.PlayClip(10);
		Destroy(this.gameObject);
	}
}
