﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class Tournament
{
	public string name;
	public float price;
	public float skillRequired;
	public float earning;
	public string description;
	public string country;
}

[CreateAssetMenu(fileName = "TournamentStore")]
public class TournamentStore : ScriptableObject
{
	public List<Tournament> tournaments;
}
