﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class TrashGenerator : MonoBehaviour
{
    public float timeInterval;
    public List<Trash> trash;
    private Coroutine generateCoroutine;

    // Start is called before the first frame update
    void Start()
    {
        generateCoroutine = StartCoroutine(Generate());
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public static List<T> Shuffle<T>(List<T> list)
    {
        System.Random rnd = new System.Random();
        for (int i = 0; i < list.Count; i++)
        {
            int k = rnd.Next(0, i);
            T value = list[k];
            list[k] = list[i];
            list[i] = value;
        }
        return list;
    }

    IEnumerator Generate()
    {
        for (int i = 0; i < trash.Count; i++)
        {
            trash[i].gameObject.SetActive(true);
            yield return new WaitForSeconds(timeInterval);
            if (i == trash.Count - 1)
            {
                i = 0;
                trash = Shuffle(trash);
            }
        }
    }
}
